
# Common rules to generate HTML, PostScript and PDF versions of a LATeX document
# Released to the public domain 2003. No waranties. 
# structio-info@lists.sourceforge.net

# Variables required

# Tools
# GZIP, LATEX, MAKEINDEX, HEVEA, HEVEA_STY, DVIPS, PSPDF paths to programs

# Of the particular project
# PROYECTO With project name and name of main file (extension .tex)
# SOURCES Sources including $PROYECTO.tex
# IMAGES 
# HTML_TARGET Target for HTML

$(PROYECTO).txt: $(PROYECTO).html
	if (test "$(WTM)" = "") then { echo "Se requiere w3m o lynx"; exit 1; } fi;
	$(WTM) -dump $(WTM_OPT) $(PROYECTO).html > $(PROYECTO).txt

$(HTML_TARGET): $(PROYECTO).bbl $(SOURCES) $(IMAGES) 
	-TEXINPUTS=$$TEXINPUTS:$(HEVEA_STY) $(HEVEA) $(PROYECTO).tex
	-TEXINPUTS=$$TEXINPUTS:$(HEVEA_STY) imagen $(PROYECTO)
	TEXINPUTS=$$TEXINPUTS:$(HEVEA_STY) $(HEVEA) -fix $(PROYECTO).tex
#	cp $(E1).html $(E1).html.bak
#	sed -e "s/!!/~/g" $(E1).html.bak > $(E1).html

$(PROYECTO).bbl: $(PROYECTO).bib $(SOURCES) $(IMAGES:.png=.eps)
	TEXINPUTS=$$TEXINPUTS:$(HEVEA_STY) $(LATEX) $(PROYECTO).tex
	$(BIBTEX) $(PROYECTO)
	rm -f $(PROYECTO).dvi

$(PROYECTO).dvi: $(PROYECTO).bbl $(SOURCES) $(IMAGES:.png=.eps)
	TEXINPUTS=$$TEXINPUTS:$(HEVEA_STY) $(LATEX) $(PROYECTO).tex
	$(MAKEINDEX) -s $(PROYECTO).ist $(PROYECTO).idx 
	TEXINPUTS=$$TEXINPUTS:$(HEVEA_STY) $(LATEX) $(PROYECTO).tex
	TEXINPUTS=$$TEXINPUTS:$(HEVEA_STY) $(LATEX) $(PROYECTO).tex

$(PROYECTO)-$(PRY_VERSION).html.gz: $(PROYECTO).html
	cp $(PROYECTO).html $(PROYECTO)-$(PRY_VERSION).html
	rm -f $(PROYECTO)-$(PRY_VERSION).html.gz
	$(GZIP) $(PROYECTO)-$(PRY_VERSION).html

$(PROYECTO)-$(PRY_VERSION).ps.gz: $(PROYECTO).ps
	cp $(PROYECTO).ps $(PROYECTO)-$(PRY_VERSION).ps
	rm -f $(PROYECTO)-$(PRY_VERSION).ps.gz
	$(GZIP) $(PROYECTO)-$(PRY_VERSION).ps

$(PROYECTO)-$(PRY_VERSION).pdf: $(PROYECTO).pdf
	cp $(PROYECTO).pdf $(PROYECTO)-$(PRY_VERSION).pdf

$(PROYECTO).pdf: $(PROYECTO).ps
	$(PSPDF) -sPAPERSIZE=$(PAPEL) $(PROYECTO).ps $(PROYECTO).pdf

$(PROYECTO).ps: $(PROYECTO).dvi
	$(DVIPS) -t $(PAPEL) -o $(PROYECTO).ps $(PROYECTO).dvi

.SUFFIXES: .eps .png

.png.eps:
	$(CONVERT) $< EPS:$@


# Revisa ortografa con ispell
ispell: $(PROYECTO).txt
	touch $(PROYECTO).ispell
	ispell -p $(PROYECTO).ispell $(PROYECTO).txt

